Софтуерно Инженерство
Loading...
+ Нов въпрос
mar0der avatar mar0der 191 Точки

Лиценз за PHPStorm 10

Кода който ни изпратиха по мейла не работи на версия 10 макар, че в мейла пише би трябвало да работи със всички нов версии преди 1 юни 2016. Проблема е че пише че кода е стар формат и трябва да се конвертира. Иска ти мейл и име но не праща никакво писмо. Някой има ли идея как да го оправим.

Мерси

Тагове:
0
PHP Web Development Basics
a.angelov avatar a.angelov 1331 Точки

Ами единствения вариант е СофтУни да го конвертират и да ни го изпратят :)

Аз им писах вчера на мейла...

0
mar0der avatar mar0der 191 Точки

Ок пиши тук ако има резултат за да знаем какво трябва да направим. Ще ни го пратят пак ли или помежду си трябва да го обменяме. Мерси предварително.

0
Nadia.Hristova avatar Nadia.Hristova 41 Точки

Здравейте,

за да не пускам нова тема ще попитам тук.

Някой може ли да ме насочи как да си активирам debugger-a в phpStorm10 за php7. Писане на код без дебъгер не си е работа.

Най-актуалната версия която успях да намеря за XDebug е Xdebug 2.4.0beta1. Тя би трябвало да работи с php7, но все още няма предоставен .dll файл. Другите версии 2.3..., които работят с php  5,6 и надолу не се зареждат от програмата:
Failed loading C:/Bitnami/wampstack-7.0.0RC6-0/php/php_xdebug-2.3.3-5.6-vc11-nts-x86_64.dll

Може би не трябва да се използва xdebug, а Zend Debugger? Или трябва да се пипа допълнително по php.ini.

[Xdebug]
zend_extension=C:\Bitnami\wampstack-7.0.0RC6-0\php\ext\php_xdebug-2.3.3-5.6-vc11-nts-x86_64.dll
xdebug.remote_enable=1
xdebug.remote_port=9001
xdebug.profiler_enable=1
xdebug.remote_host=localhost

Мерси предварително.

2
Den1eD avatar Den1eD 5 Точки

Аз ще използвам твоят въпрос, за да попитам как мога да напрая php7 за интерпретатор. 

0
Nadia.Hristova avatar Nadia.Hristova 41 Точки

Като начало ако използваш phpStorm ти трябва версия 9 нагоре. При версия 8, дори интерпетатора да използва php7, в phpStorm не се появява опция за lvl 7 при избора на ниво на езика.

В тази тема е засегнат въпроса. Погледни коментара на a.angelov. Тъй като XAMPP все още не работи с php7  може да си инсталираш Bitnami. https://bitnami.com/stack/wamp/installer - трябва ти версия WAMP Stack 7.0.0RC7-0 Dev(7.0.0RC7  е последния release на php7 към днешна дата).

Bitnami, както посочва a.angelov, е много сходен с XAMPP. Прави папка в C:\ .  Интерпретатора може да се намери C:\Bitnami\wampstack-7.0.0RC7-0\php\php.exe. 

За да направиш настройката в phpStorm: File->Settings->Languages&Frameworks->PHP и там вече мисля, че ще можеш да се ориентираш. Interpreter -> намираш пътя до php.exe в Bitnami и php language lvl -> 7.

Аз още не мога да подкарам debugger-a. sad

Някой идеи?

0
20/11/2015 16:14:06
nikola.m.nikolov avatar nikola.m.nikolov 832 Точки

Аз идеи нямам и направо си е мъка да се четат var_dump-овете така плюснати като един стринг...

2